Gradle and JDK version

Yesterday at home I had a problem with a project that worked fine at work.

When I build(gradle build from Idea) the project, I get the following error:

:natrus-api:natrus-common-api:compileJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':natrus-api:natrus-common-api:compileJava'.
> invalid source release: 1.8

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Hmm, check SDK in Idea – 1.8. Project setting fine, gradle settings too.

What wrong?

Ah, ok, i run Idea using jdk 1.7. When i run Idea using jdk 1.8 build succeeds.

Leave a Reply

Your email address will not be published. Required fields are marked *